| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiKeyDesc Class Reference
uiBase

`#include <uishortcutsmgr.h>`

Inheritance diagram for uiKeyDesc:
[legend]

## Public Member Functions
| uiKeyDesc (const char *statestr=0, const char *keystr=0)
| uiKeyDesc (QKeyEvent *)
virtual | ~uiKeyDesc ()
char | asciiChar () const
BufferString | getKeySequenceStr () const
bool | isSimpleAscii () const
virtual int | key () const
const char * | keyStr () const
bool | operator== (const uiKeyDesc &ev) const
bool | set (const char *statestr, const char *keystr)
void | setKey (int k)
void | setState (OD::ButtonState bs)
OD::ButtonState | state () const
const char * | stateStr () const

## Static Public Member Functions
static const char ** | sKeyKeyStrs ()

## Protected Member Functions
void | handleSpecialKey (const char *)

## Protected Attributes
int | key_
OD::ButtonState | state_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiKeyDesc() [1/2]

uiKeyDesc::uiKeyDesc | ( | const char * | statestr = 0,
|  | const char * | keystr = 0 )

## ◆ ~uiKeyDesc()

virtual uiKeyDesc::~uiKeyDesc | ( |  | ) |
| virtual

## ◆ uiKeyDesc() [2/2]

uiKeyDesc::uiKeyDesc | ( | QKeyEvent * |  | ) |

## Member Function Documentation

## ◆ asciiChar()

char uiKeyDesc::asciiChar | ( |  | ) | const

## ◆ getKeySequenceStr()

BufferString uiKeyDesc::getKeySequenceStr | ( |  | ) | const

## ◆ handleSpecialKey()

void uiKeyDesc::handleSpecialKey | ( | const char * |  | ) |
| protected

## ◆ isSimpleAscii()

bool uiKeyDesc::isSimpleAscii | ( |  | ) | const

## ◆ key()

virtual int uiKeyDesc::key | ( |  | ) | const
| inline virtual

## ◆ keyStr()

const char * uiKeyDesc::keyStr | ( |  | ) | const

## ◆ operator==()

bool uiKeyDesc::operator== | ( | const uiKeyDesc & | ev | ) | const
| inline

## ◆ set()

bool uiKeyDesc::set | ( | const char * | statestr,
|  | const char * | keystr )

## ◆ setKey()

void uiKeyDesc::setKey | ( | int | k | ) |
| inline

## ◆ setState()

void uiKeyDesc::setState | ( | OD::ButtonState | bs | ) |
| inline

## ◆ sKeyKeyStrs()

static const char ** uiKeyDesc::sKeyKeyStrs | ( |  | ) |
| static

## ◆ state()

OD::ButtonState uiKeyDesc::state | ( |  | ) | const
| inline

## ◆ stateStr()

const char * uiKeyDesc::stateStr | ( |  | ) | const

## Member Data Documentation

## ◆ key_

int uiKeyDesc::key_
| protected

## ◆ state_

OD::ButtonState uiKeyDesc::state_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025